Bug 863594 - uses invalid memory
uses invalid memory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptraf-ng (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 20:28 EDT by Dave Jones
Modified: 2015-01-04 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version: iptraf-ng-1.1.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:09:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2012-10-05 20:28:30 EDT
If you set MALLOC_CHECK=2, iptraf-ng will crash after you dismiss the splash screen.

Core was generated by `iptraf-ng'.
Program terminated with signal 6, Aborted.
#0  0x00000034efa35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install ncurses-libs-5.9-4.20120204.fc17.x86_64
(gdb) bt
#0  0x00000034efa35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00000034efa370d8 in __GI_abort () at abort.c:91
#2  0x00000034efa7e39c in malloc_printerr (ptr=0x13ea990, str=0x34efb76795 "free(): invalid pointer", action=<optimized out>) at malloc.c:5032
#3  free_check (mem=0x13ea990, caller=<optimized out>) at hooks.c:251
#4  0x00000000004045a7 in tx_operatemenu (menu=0x7fff9648e960, position=0x7fff9648e8e0, aborted=<optimized out>) at tui/menurt.c:209
#5  0x00000000004108ac in program_interface (options=options@entry=0x7fff9648eac0, opt=opt@entry=0, 
    optarg=optarg@entry=0x7fff9648eae0 "P\353H\226\377\177", facilitytime=<optimized out>) at iptraf.c:199
#6  0x00000000004031cf in main (argc=<optimized out>, argv=0x7fff9648ec48) at iptraf.c:567


Setting MALLOC_CHECK=1 shows additional checks..

*** glibc detected *** iptraf-ng: free(): invalid pointer: 0x0000000001260990 ***

Every keypress triggers another warning.
Comment 1 Michael Laß 2012-11-06 07:32:38 EST
Similar problem here with a slightly different backtrace (but seems to be the same problem):

Reading symbols from /usr/sbin/iptraf-ng...Reading symbols from /usr/lib/debug/usr/sbin/iptraf-ng.debug...done.
done.
[New LWP 7330]
Core was generated by `iptraf-ng'.
Program terminated with signal 6, Aborted.
#0  0x000000354a035925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x000000354a035925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000354a0370d8 in __GI_abort () at abort.c:91
#2  0x000000354a074e6b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x354a178908 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x000000354a07bfee in malloc_printerr (ptr=0x1817220, str=0x354a178a18 "free(): invalid next size (fast)", action=3) at malloc.c:5027
#4  _int_free (av=0x354a3b0720, p=0x1817210, have_lock=0) at malloc.c:3948
#5  0x00000000004045a7 in tx_operatemenu (menu=menu@entry=0x7fff0c5075a0, position=position@entry=0x7fff0c507520, aborted=aborted@entry=0x7fff0c507528) at tui/menurt.c:209
#6  0x00000000004108ac in program_interface (options=options@entry=0x7fff0c507700, opt=opt@entry=0, optarg=optarg@entry=0x7fff0c507720 "\220wP\f\377\177", 
    facilitytime=<optimized out>) at iptraf.c:199
#7  0x00000000004031cf in main (argc=<optimized out>, argv=0x7fff0c507888) at iptraf.c:567
Comment 2 Nikola Pajkovsky 2012-11-06 07:41:19 EST
yea, it's fixed in git repository, and I have to release new version. will do soon. today?
Comment 3 Fedora End Of Life 2013-07-03 21:24:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Update System 2013-07-23 11:34:24 EDT
iptraf-ng-1.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc18
Comment 5 Fedora Update System 2013-07-23 11:35:37 EDT
iptraf-ng-1.1.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el5
Comment 6 Fedora Update System 2013-07-23 11:36:42 EDT
iptraf-ng-1.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el6
Comment 7 Fedora Update System 2013-07-23 11:37:53 EDT
iptraf-ng-1.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc19
Comment 8 Fedora Update System 2013-07-23 15:40:38 EDT
Package iptraf-ng-1.1.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iptraf-ng-1.1.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10955/iptraf-ng-1.1.4-1.el5
then log in and leave karma (feedback).
Comment 9 Fedora End Of Life 2013-08-01 16:09:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora Update System 2013-08-01 23:34:29 EDT
iptraf-ng-1.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-01 23:36:07 EDT
iptraf-ng-1.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-09-02 08:04:25 EDT
iptraf-ng-1.1.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc18
Comment 13 Fedora Update System 2013-09-02 08:05:01 EDT
iptraf-ng-1.1.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc19
Comment 14 Fedora Update System 2013-09-02 08:05:35 EDT
iptraf-ng-1.1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el5
Comment 15 Fedora Update System 2013-09-02 08:06:08 EDT
iptraf-ng-1.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el6
Comment 16 Fedora Update System 2013-09-10 21:51:13 EDT
iptraf-ng-1.1.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-10 21:53:29 EDT
iptraf-ng-1.1.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-17 13:26:45 EDT
iptraf-ng-1.1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-17 13:27:15 EDT
iptraf-ng-1.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.